import { Socket, Server } from "socket.io";
import {TSocket} from "../../utilities/Types";
import CharacterRepository from "../../repositories/CharacterRepository";
import {Character, User} from "@prisma/client";

type SocketResponseT = {
    character_id: number
}

export default function (socket: TSocket, io: Server) {
    socket.on('character:connect', async (data: SocketResponseT) => {
        console.log('character:connect requested', data);
        try {
            socket.character = await CharacterRepository.getByUserAndId(socket.user?.id as number, data.character_id) as Character;
            socket.emit('character:connect', socket.character)
        } catch (error: any) {
            console.log('character:connect error', error);
        }
    });
}